QGIS Application - Feature request #2133
add/delete/edit labels graduatedsymbolrendererv2
2009-11-20 04:05 PM - markbaas -

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Symbology

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 12193
Description

The graduated symbol dialog was still missing some feature. The delete button did do anything and there was no way to add a class
manually. Additionally editing the labels wouldn't do anything.

This patch should take care of the problems.

History

#1 - 2009-11-20 04:43 PM - John Tull

The patch did not work for me on OS X, commit:c66c0170 (SVN r12214) and qt-4.6rc. Here is the error output:

Linking CXX shared library libqgis_gui.dylib
Undefined symbols:
"QgsLUDialog::upperValue() const", referenced from:
[[QgsGraduatedSymbolRendererV]]2Widget::changeRange(int) in ggsgraduatedsymbolrendererv2widget.o
"QgsLUDialog::setLowerValue(QString)", referenced from:
[[QgsGraduatedSymbolRendererV]]2Widget::changeRange(int) in qgsgraduatedsymbolrendererv2widget.o
"QgsLUDialog::setUpperValue(QString)", referenced from:
[[QgsGraduatedSymbolRendererV]]2Widget::changeRange(int) in qgsgraduatedsymbolrendererv2widget.o
"QgsLUDialog::lowerValue() const", referenced from:
[[QgsGraduatedSymbolRendererV]]2Widget::changeRange(int) in qgsgraduatedsymbolrendererv2widget.o
"QgsLUDialog::~QgsLUDialog()", referenced from:
[[QgsGraduatedSymbolRendererV]]2Widget::changeRange(int) in qgsgraduatedsymbolrendererv2widget.o
[[QgsGraduatedSymbolRendererV]]2Widget::changeRange(int) in qgsgraduatedsymbolrendererv2widget.o
"QgsLUDialog::QgsLUDialog(QWidget*, QFlags<Qt::WindowType>)", referenced from:
[[QgsGraduatedSymbolRendererV]]2Widget::changeRange(int) in ggsgraduatedsymbolrendererv2widget.o
Id: symbol(s) not found
collect2: Id returned 1 exit status
maker2: * [src/gui/libqgis_gui.1.4.0.dylib] Error 1
maker1: [src/gui/CMakeFiles/qgis_gui.dir/all] Error 2
make: ** [all] Error 2

#2 - 2009-11-21 02:03 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

applied in commit:075daae1 (SVN r12220) (slightly modified). Thanks.
